Welcome to iraf.net Saturday, October 21 2017 @ 05:55 PM GMT


 Forum Index > Help Desk > Systems New Topic Post Reply
 Problem during installation of external packages in Mac running High Siera
   
evertonbt
 10/10/2017 06:43PM (Read 178 times)  
+----
Newbie

Status: offline


Registered: 10/09/2017
Posts: 3
Hi, its my first time here.

I looked almost everywhere and I didn't find a solution for my problem:

I cannot download any packages from http://iraf.noao.edu using Safari (I can do it using another web browser). But this is an easy issue to avoid.

The installation for user sounds working nicely - Iraf seems to be working too, but it hasn't the external packages installed for default. So I tried to follow the instructions, using the ./configure into the extern directory, to work with the packages I need, and the results are always:


PHP Formatted Code
 
sudo ./configure
Password:
Initializing repository data ....
Cannot download repository manifest file, quitting.
Creating system makefile ....
Setup Complete.
cat: .repo_pkgs: No such file or directory


    To install packages, use 'ls' to list the currently available
    packages from the IRAF repository.  For each package you wish
    to install, use the command:

      make <pkg>

    The package will be loaded dynamically the next time you start
    the CL session.

    Use the commmands:

      make update       # to update pkgs to the latest repository version
      make check        # to list available updates
      make clean        # to delete installed all packages
      make init         # restore to pre-configure state
      make <pkg>        # to force a re-install of named <pkg>

 


For some reason, i couldn't find, it cannot connect to the repositories, like Safari couldn't. May be it is a correlated issue.
Another thing is that the repositories seems to be working too.
It started since may computer updated to High Sierra.

Someone has any idea how I could solve this.

Thanks,

Everton

 
Profile Email
 Quote
evertonbt
 10/10/2017 07:10PM  
+----
Newbie

Status: offline


Registered: 10/09/2017
Posts: 3
I forgot to say I`m using the latest version of Iraf.

I found some people talking abou a flag -A in the file ../util/pkgget. (http://iraf.net/forum/viewtopic.php?forum=6&amp;showtopic=1466909&amp;highlight=external%20packages)

But it`s not the case.

 
Profile Email
 Quote
fitz
 10/16/2017 03:11AM  
AAAAA
Admin

Status: offline


Registered: 09/30/2005
Posts: 3980

So it turns out that the DYLD_LIBRARY_PATH recommendation is needed for the correct libraries to resolve for X11IRAF, but XQuartz provides it's own libPng.dylib that conflicts with the one in the system library, the script that does the downloads using the x_system,e binary then fails with the error you report.

If you added the DYLD_LIBRARY_PATH to one of your startup files the quick fix is to simply unset it from your environment before you run the 'configure' command.

Also, instead of defining the DYLD_LIBRARY_PATH in startup files, you can apply it only to the X11IRAF tools using an alias such as:

alias xg="(export DYLD_LIBRARY_PATH=/usr/X11/lib && xgterm)" # (for Bash users)
or
alias xg "(setenv DYLD_LIBRARY_PATH /usr/X11/lib ; xgterm)" # (for C-shell users)

 
Profile Email
 Quote
   
Content generated in: 0.20 seconds
New Topic Post Reply

Normal Topic Normal Topic
Sticky Topic Sticky Topic
Locked Topic Locked Topic
New Post New Post
Sticky Topic W/ New Post Sticky Topic W/ New Post
Locked Topic W/ New Post Locked Topic W/ New Post
View Anonymous Posts 
Anonymous users can post 
Filtered HTML Allowed 
Censored Content 
dog allergies remedies cialis 20 mg chilblain remedies


Privacy Policy
Terms of Use

User Functions

Login